| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ThreadHandle Class Reference

`#include <OgreThreads.h>`

## Public Member Functions
| ThreadHandle (size_t threadIdx, void *userParam)
| ~ThreadHandle ()
pthread_t | _getOsHandle () const
| Internal use. More...
void | _setOsHandle (pthread_t &handle)
| Internal use. More...
size_t | getThreadIdx () const
void * | getUserParam () const

## Constructor & Destructor Documentation

## ◆ ThreadHandle()

Ogre::ThreadHandle::ThreadHandle | ( | size_t | threadIdx,
|  | void * | userParam
| ) |  |

## ◆ ~ThreadHandle()

Ogre::ThreadHandle::~ThreadHandle | ( |  | ) |

## Member Function Documentation

## ◆ getThreadIdx()

size_t Ogre::ThreadHandle::getThreadIdx | ( |  | ) | const
| inline

## ◆ getUserParam()

void* Ogre::ThreadHandle::getUserParam | ( |  | ) | const
| inline

## ◆ _setOsHandle()

void Ogre::ThreadHandle::_setOsHandle | ( | pthread_t & | handle | ) |
| inline

Internal use.

## ◆ _getOsHandle()

pthread_t Ogre::ThreadHandle::_getOsHandle | ( |  | ) | const
| inline

Internal use.

The documentation for this class was generated from the following file:

- OgreThreads.h